1. Pay-In
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Contiant
    • emerchantpay
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • PawaPay
    • Trust Payments
    • Worldpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Brite
        POST
      • Cleo
        POST
      • Contiant
        POST
      • emerchantpay
        POST
      • Flexepin
        POST
      • Forumpay
        POST
      • Gigadat
        POST
      • Neosurf
        POST
      • PayOne
        POST
      • PawaPay
        POST
      • Trust Payments
        POST
      • WorldPay
        POST
    • Pay-Out
      • Cleo
      • Gigadat withdraw ETO
      • Gigadat withdraw ACH
      • Forumpay
      • PayOne
      • PawaPay
  • Webhook
    • Payone status webhook
  • Schemas
    • TransactionData
  1. Pay-In

emerchantpay

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
    "userId": "1",
    "email": "player1@test.com",
    "pspType": "EMERCHANTPAY",
    "type": "PAYIN",
    "phone": "9876543210",
    "baseamount": 100,
    "currency": "EUR",
    "currencyCode": "978",
    "merchantReference": "TEST-001",
    "isTestMode": false,
    "countryCode": "US",
    "address": {
        "line1": "123 Test Street",
        "line2": "Apt 4",
        "city": "New York",
        "state": "California",
        "postalCode": "10001",
        "country": "United States"
    },
    "card": {
        "pan": "4012000000060085",
        "cvv": "123",
        "expMonth": "12",
        "expYear": "2030",
        "cardHolderName": "Alex Smith",
        "holderName": "Alex Smith"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{BRAND_TOKEN}}' \
--header 'X-User-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userId": "1",
    "email": "player1@test.com",
    "pspType": "EMERCHANTPAY",
    "type": "PAYIN",
    "phone": "9876543210",
    "baseamount": 100,
    "currency": "EUR",
    "currencyCode": "978",
    "merchantReference": "TEST-001",
    "isTestMode": false,
    "countryCode": "US",
    "address": {
        "line1": "123 Test Street",
        "line2": "Apt 4",
        "city": "New York",
        "state": "California",
        "postalCode": "10001",
        "country": "United States"
    },
    "card": {
        "pan": "4012000000060085",
        "cvv": "123",
        "expMonth": "12",
        "expYear": "2030",
        "cardHolderName": "Alex Smith",
        "holderName": "Alex Smith"
    }
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{"status":"success","code":200,"message":"Transaction processed successfully","data":{"transactionId":"EMP-TXN-001","merchantReference":"TEST-001","pspType":"EMERCHANTPAY","type":"PAYIN","amount":100,"currency":"EUR","status":"APPROVED","redirectUrl":"https://payment.emerchantpay.com/redirect/abc123","createdAt":"2024-01-15T10:30:00Z"}}
🟠400
🔴500
Modified at 2026-07-31 16:09:46
Previous
Contiant
Next
Flexepin
Built with